QXmpp: QXmppArchiveRetrieveIq Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppArchiveRetrieveIq Class Reference
Stanzas

Represents an archive retrieve IQ as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveRetrieveIq:

## Public Member Functions
QDateTime | start () const
void | setStart (const QDateTime &start)
QString | with () const
void | setWith (const QString &with)
QXmppResultSetQuery | resultSetQuery () const
void | setResultSetQuery (const QXmppResultSetQuery &rsm)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Additional Inherited Members
Public Types inherited from QXmppIq
enum | Type { Error = 0, Get, Set, Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents an archive retrieve IQ as defined by XEP-0136: Message Archiving.

## Member Function Documentation

QXmppResultSetQuery QXmppArchiveRetrieveIq::resultSetQuery | ( |  | ) | const

Returns the result set management query.

This is used for paging through messages.

void QXmppArchiveRetrieveIq::setResultSetQuery | ( | const QXmppResultSetQuery & | rsm | ) |

Sets the result set management query.

This is used for paging through messages.

void QXmppArchiveRetrieveIq::setStart | ( | const QDateTime & | start | ) |

Sets the start date/time for the archived conversations.

Parameters

  start |

void QXmppArchiveRetrieveIq::setWith | ( | const QString & | with | ) |

Sets the JID which archived conversations must match.

Parameters

  with |

QDateTime QXmppArchiveRetrieveIq::start | ( |  | ) | const

Returns the start date/time for the archived conversations.

QString QXmppArchiveRetrieveIq::with | ( |  | ) | const

Returns the JID which archived conversations must match.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp